|  | Home | Documentation | _wsse__UsernameToken Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
_wsse__UsernameToken Struct Reference

This element defines the wsse:UsernameToken element per Section 4.1. Imported element _wsse__UsernameToken from typemap WS/WS-typemap.dat. More...

`#include <wsse.h>`

Collaboration diagram for _wsse__UsernameToken:
[legend]

## Public Attributes

char * | Username
struct _wsse__Password * | Password
struct wsse__EncodedString * | Nonce
char * | Salt
unsigned int * | Iteration
char * | wsu__Created
char * | wsu__Id

## Detailed Description

This element defines the wsse:UsernameToken element per Section 4.1. Imported element _wsse__UsernameToken from typemap WS/WS-typemap.dat.

Element "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":UsernameToken of complexType "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd":UsernameTokenType.

## Member Data Documentation

## ◆ Iteration

unsigned int* _wsse__UsernameToken::Iteration

## ◆ Nonce

struct wsse__EncodedString* _wsse__UsernameToken::Nonce

## ◆ Password

struct _wsse__Password* _wsse__UsernameToken::Password

## ◆ Salt

char* _wsse__UsernameToken::Salt

## ◆ Username

char* _wsse__UsernameToken::Username

## ◆ wsu__Created

char* _wsse__UsernameToken::wsu__Created

## ◆ wsu__Id

char* _wsse__UsernameToken::wsu__Id

The documentation for this struct was generated from the following file:

- wsse.h